import 'package:flutter/material.dart';

class Coins extends StatefulWidget {
  const Coins({super.key});

  @override
  State<Coins> createState() => _CoinsState();
}

class _CoinsState extends State<Coins> {
  @override
  Widget build(BuildContext context) {
    return Container(
        decoration: const BoxDecoration(
          color: Color.fromARGB(255, 244, 244, 244),
        ),
        padding: const EdgeInsets.only(
            left: 20.0, right: 20.0, top: 30.0, bottom: 30.0),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            const Padding(
                padding: EdgeInsets.only(bottom: 10.0),
                child: Text(
                  "Coins",
                  style: TextStyle(
                      fontSize: 19.0,
                      fontWeight: FontWeight.bold,
                      fontFamily: 'PlusJakartaSans-SemiBold'),
                )),
            Row(mainAxisAlignment: MainAxisAlignment.spaceBetween, children: [
              Row(
                children: const [
                  Icon(Icons.monetization_on_rounded,
                      size: 35, color: Colors.amber),
                  SizedBox(width: 10),
                  Text(
                    '0',
                    style: TextStyle(
                        fontSize: 19.0,
                        fontWeight: FontWeight.bold,
                        fontFamily: 'PlusJakartaSans-SemiBold'),
                  ),
                ],
              ),
              TextButton(
                onPressed: () {
                  // Action to perform when button is pressed
                },
                child: Flex(
                  direction: Axis.horizontal,
                  crossAxisAlignment: CrossAxisAlignment.center,
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: const [
                    Text(
                      "Go to wallet",
                      style: TextStyle(
                        fontSize: 17,
                        color: Colors.black,
                      ),
                    ),
                    SizedBox(width: 3),
                    Icon(
                      Icons.arrow_forward_ios_rounded,
                      size: 13,
                      color: Colors.black,
                    )
                  ],
                ),
              )

              // Container(child: Text(),)
            ])
          ],
        ));
  }
}
